FFFTP　改版リスト

■Ver 2.00

・設定をWinSCP INI形式にエクスポートする機能を追加しました。

・PASVモードで返されるアドレスを無視する機能を追加しました。
　正しく設定されていないホストに接続する場合にお使いください。

・ダウンロード時にインターネットから入手したものとしてファイルに情報を
　付加する機能を追加しました。
　これによりダウンロードした実行可能ファイルなどを開こうとした場合に
　警告が表示されるようになります。
　この機能は既定では有効になります。

・キーボード操作時にフォーカスが失われるバグを修正しました。

・タイトルバーにログインユーザー名を表示するようにしました。

・非推奨の暗号方式のみ対応するホストに接続できないバグを修正しました。

・異常なタイムスタンプのファイルがローカル側に存在するとクラッシュする
　バグを修正しました。 

・ソフトウェア自動更新機能でプロキシ接続に対応しました。

・新しければ上書きが機能しない場合があるバグを修正しました。

・ドラッグアンドドロップ中に応答しなくなるバグを修正しました。

・バグ対策の副作用によるウィンドウのちらつきを解消しました。

・Server Name Indicationを実装しました。
　これにより一部の共用サーバーに接続できない問題が解消されます。

・SSL/TLS証明書の検証時にSubject Alternative Namesを確認するように
　変更しました。

・転送失敗時に再接続できない場合があるバグを修正しました。

・切断時にファイルの転送待ちが解除されないバグを修正しました。

・転送中の強制終了が機能しない場合があるバグを修正しました。

・受信中止をクリックした後の挙動がおかしくなるバグを修正しました。

・同時接続数が1より大きいホストから切断した直後に別のホストで転送に
　失敗するバグを修正しました。

・OpenSSLを更新しました。

・SSL/TLSのルート証明書を更新しました。

■Ver 1.99a

今回のバージョンより、自動更新機能で対応した内容を含めて記載します。

・自動更新機能用サーバーの仕様変更に対応しました。
　以前のバージョンでは自動更新機能が使用できなくなったため、
　このバージョンへの更新は手動にてお願いします。

・ファイル名の漢字コードがUTF-8以外の場合に特定のファイル名が正しく表示
　されないバグを修正しました。

・ZIP版で将来のバージョンの設定をレジストリからインポートした際に余分な
　ダイアログが表示されるバグを修正しました。

・OpenSSLを更新しました。

・SSL/TLSのルート証明書を更新しました。

■Ver 1.99

・Windows 8.1 (32bit/64bit)で動作を確認しました。

・Windows 10 (32bit/64bit)で動作を確認しました。

・64bit版が利用可能になりました。
　これにより64bit版Windowsで特定の操作が制限されるのを回避できます。

・ソフトウェアの自動更新機能を追加しました（Windows XP SP3以降のみ）。
　既定では7日ごとに専用のサーバーに接続して更新があるかどうか確認し、
　更新があれば更新を適用するかどうかユーザーに確認します。

・マスターパスワードを用いて全ての設定を暗号化する機能を追加しました。
　マルウェアや第三者により設定から個人情報を読み取られなくなりますが、
　1.98g以前では設定を読み込めなりますので注意してください。
　この機能は既定では無効になっています。

・INIファイルが改変されBOMが付加されている場合にクラッシュするバグを
　修正しました。

・接続時にユーザー名が常にUTF-8でホストに送信されるバグを修正しました。
　1.98以降で半角英数字以外の文字が含まれるユーザー名でログインできない
　問題が解決されます。

・MLSDコマンドの応答が大文字を含む場合に認識しないバグを修正しました。

・ローカル側のファイル一覧の自動更新を無効にする設定を追加しました。

・処理内容を自動的に古い行から削除する設定を追加しました。
　一部の環境で長時間操作した場合に動作が重くなる問題が緩和されます。

・ホストのファイル名の漢字コードとしてUTF-8 HFS+に対応しました
　（Windows Vista以降のみ）。
　Mac OS X上で動作するホストとファイルを送受信する際にファイル名の
　ひらがなやカタカナの濁点や半濁点が正しく扱われるようになります。

・ホストのファイル名の漢字コードの自動判別の精度を改善しました。

・選択ダイアログが正常に機能しないバグを修正しました。

・レジストリに将来のバージョンの設定が存在する場合に設定の保存方法を
　確認するようにしました。

・ファイルサイズ表記にGB以上の単位を表示するようにしました。

・タイトルバーに現在の接続の暗号化状態を表示するようにしました。

・タスクバーにファイル転送の進捗状況を表示するようにしました
　（Windows 7以降のみ）。

・リモート側のファイルをその一つ上のディレクトリに移動する機能を追加
　しました。

・高DPIディスプレイに対応しました。
　高DPIディスプレイに表示する際にメニューなどの表示が滑らかになります。

・設定をFileZilla XML形式にエクスポートする機能を追加しました。

・ホストの設定に弱い暗号化方式を使用しない設定を追加しました。
　SSL 3.0以前や鍵の強度が128ビット未満の暗号を拒否するようになります。
　この機能は既定では有効になります。

・ホスト一覧に既定の設定を追加しました。
　新規ホストの作成時やクイック接続時の初期状態として使用されます。

・ファイル転送前のファイル一覧取得時にエラーが発生した場合に転送を
　中止する設定を追加しました。
　この機能は既定では有効になります。

・ファイルの転送に失敗した場合に再接続する設定を既定で有効にしました。

・同時接続時にUPnPの制御に失敗するバグを修正しました。

・リモート側のファイル一覧からドラッグアンドドロップした直後に特定の
　操作を行うとクラッシュするバグを修正しました。

・Windows Server 2008 R2のファイル一覧形式で半角スペースを2個以上含む
　ファイル名を認識できないバグを修正しました。

・FireWallユーザー名およびパスワードを保存しない設定を追加しました。

・ダイアログのサイズ変更時に表示が乱れるバグを修正しました。

■Ver 1.98g2

・インストーラ版にZIP版のファイルが混入していた問題を修正しました。

・ルート証明書の変更が検出された旨のメッセージが表示されるバグを修正
　しました。

■Ver 1.98g1

・OpenSSLを更新しました。

・SSL/TLSのルート証明書を更新しました。

■Ver 1.98g

・Windows 8 (32bit/64bit)で動作を確認しました。

・ファイルの上書きの確認の際に元のファイルより大きければ上書きを行う
　機能を追加しました。

・起動時に選択されるローカルの漢字コードを設定できるようにしました。

・ローカル側のフォルダの移動ボタンをクリックした際にフォルダの参照
　ダイアログが直接表示されるように変更しました。

・接続維持用のコマンドを送信する条件を改善しました。
　ホスト側のファイルを大量に削除する時などで失敗しにくくなります。

・uClinuxのファイル一覧形式に対応しました。

・シンボリックリンクを含むディレクトリを削除すると想定外のファイルが
　削除されることがあるバグを修正しました。

・ファイルのタイムスタンプの秒単位を扱う設定を追加しました。

・ファイルの属性を数字で表示する設定を追加しました。

・ファイルの転送に失敗した場合に再接続する設定を追加しました。
　これによりセッションあたりの転送量または時間が制限されている場合に
　その制限を回避できる可能性があります。

・メインウィンドウのソケットを再利用する設定でファイルの転送中にメイン
　ウィンドウを操作すると転送に失敗することがあるバグを修正しました。

・非PASVモードで接続時にUniversal Plug and Play（略称UPnP）対応のNATや
　ルータを制御する設定を追加しました（Windows XP以降のみ）。
　UPnP対応であればNATやルータに接続されたプライベートIPアドレスを持つ
　コンピュータでもPORTコマンドで接続を待ち受けることができます。

・Windows Server 2008 R2のファイル一覧形式に対応しました。

・WindowsファイアウォールのステートフルFTPフィルタの設定を追加しました
　（Windows Vista以降のみ）。
　FTPESで接続が切断される場合は無効に、プライベートIPアドレスを持つ
　コンピュータでは有効にすると通信状態が改善されることがあります。

■Ver 1.98f

・選択ダイアログが正常に機能しないバグを修正しました。

・アップロード時にタイムスタンプを維持する設定を追加しました。

・マスターパスワードを変更する際に現在のマスターパスワードを入力する
　ように変更しました。

・ホスト側から外部アプリケーションへのドロップ後、ローカル側に作業
　フォルダの内容が表示されることがあるバグを修正しました。

・ソケット切断検出用のパケット送信の間隔を短くしました。

・メインウィンドウのソケットでコマンドを送信中にUIのロックが解除されて
　しまう場合があるバグを修正しました。

・アスキーモードで転送されるファイルの拡張子を追加しました。

・コマンドラインオプションを拡張しました。

・FTPS ExplicitでホストがTLSを受け付けない場合に続けてSSLを試すように
　変更しました。

・Windows Vista以降で文字列がUTF-8からShift_JISへ変換される時に破損する
　バグを修正しました。

・ローカル側のフォルダ内のファイルが変更された時にローカル側のファイル
　一覧を自動的に更新するように変更しました。

■Ver 1.98e

・ホストのパスワードが正しくない場合にパスワードを手動で再度入力しても
　ログインできないバグを修正しました。

・マルチコアCPUの特定環境下でクラッシュするバグを修正しました。

・作業ファイルを保存するフォルダの構成を変更しました。これによりFFFTPを
　複数起動してもキャッシュが干渉しなくなります。

・linux-ftpdのファイル一覧形式に対応しました。

・ローカル側のファイル一覧にアイコンを表示できるようにしました。

・HP NonStop Serverに対応しました（Yuji Tanaka氏提供）。

・再接続時にいくつかのコマンドが送信されないバグを修正しました
　（Yuji Tanaka氏提供）。

・UIの表記を一部修正しました（Moriguchi Hirokazu氏提供）。

・名前を指定してダウンロードでファイルの更新日時が正しく設定されない
　バグを修正しました。

・ファイルの削除中に、転送不可にもかかわらず、ファイルをドロップすると
　転送を開始するバグを修正しました。

・ファイルの転送に失敗した場合の挙動を改善しました。

・既定でメインウィンドウのソケットを再利用するように変更しました
　（以前の設定が存在し、同時接続数が1より大きい場合はその設定が適用
　されます）。

・アップロード時にホストが名前を付けた場合に元のファイル名のファイルの
　属性が変更されるバグを修正しました。

・終了時にフリーズすることがあるバグを修正しました。

・フルパスでアクセスしない設定で存在しないディレクトリにアクセスすると
　フリーズするバグを修正しました。

・ネットワークの種類を自動に設定している場合の挙動を変更しました。
　IPv4とIPv6の両方で名前解決と接続を同時に行い、先に接続が完了した方を
　使用します。

・ZIP版ではレジストリに設定を一切保存しないように変更しました。
　レジストリを使用するにはファイル"portable"を削除してください。

・ファイル一覧の種類の列が正しく表示されないバグを修正しました。

・一部のRFC 3659に準拠しないMLSDコマンドの応答に対応しました。

■Ver 1.98d

・MLSDコマンドに対応したホストではMLSDコマンドを用いてファイル一覧を
　取得するようにしました。LISTコマンドの応答に特定のファイルが
　含まれない一部のホストでも正しく列挙できる可能性が高くなります。

・通信のルーチンを待ち時間が減るように改善しました。

・ホストの応答をホストのファイル名の漢字コードでデコードしてからログに
　表示するように変更しました。

・レジストリの設定をファイルに保存するときに任意のコードが実行される
　可能性があるバグを修正しました。

・拡張子が無いファイルをダブルクリックした場合に選択されたものと異なる
　ファイルが表示されるバグを修正しました。

・ホストとの接続にInternet Protocol Version 6（略称IPv6）が使用できる
　ようになりました。デフォルトでは従来のIPv4で名前解決ができない場合に
　IPv6で接続を試みるようになります。

・INIファイルの文字列の文字コードを自動判別するように変更しました。

・メインウィンドウが使用している接続を転送用に再使用するための設定を
　追加しました。これにより1.97b以前で転送可能だったが1.98で転送不能に
　なるという症状が改善されますが、不具合が発生する可能性があります。

・FTPSで接続した時にSSL/TLSのルート証明書を用いてホストの証明書を検証
　するように変更しました。ルート証明書を更新するには同梱の"ssl.pem"
　ファイルをPEM形式に従って書き換えてください。

・ホストとの接続を維持するために一定時間ごとにコマンドを送信する機能を
　追加しました。ただしこの機能はデフォルトでは無効に設定されます。

・ホストのファイル名の漢字コードの自動判別の精度を改善しました。

■Ver 1.98c

・日本語ドメイン名のホストへの接続時にアドレスをPunycodeへ変換してから
　接続するように変更しました。

・ホストへの再接続時にホストの現在のディレクトリが再設定されないバグを
　修正しました。

・ホストとの接続にFTP over Implicit SSL/TLS（略称FTPS Implicit、
　FTPIS）が使用できるようになりました。

・ダウンロードのリジューム時に4GBを超えるファイルが正常に扱えないバグを
　修正しました。

・通信のルーチンをWindows 2000の仕様に合うように修正しました。

・中止ボタンの応答を改善しました。

・設定をINIファイルに保存している場合にINIファイルを日本語を含むパスに
　保存できないバグを修正しました。

・ホストのファイル名の漢字コードがShift_JISの場合に一部日本語を含む
　ファイル名を扱えないバグを修正しました。

・アスキーモード転送の際に行われる漢字コード変換で新たにUTF-8
　（BOMなし）への変換をサポートしました。1.98で追加されたUTF-8を
　UTF-8 BOMという名称に変更しました。

・初回起動時のウィンドウのサイズとレイアウトを変更しました（以前の
　バージョンの設定が残っている場合はその設定が適用されます）。

・大量のファイルを転送した時に途中で転送が終了するバグを軽減しました。

・ファイルの転送に失敗した場合に転送をやり直す機能を追加しました。

■Ver 1.98b

・信頼できないDLLの読み込みを防ぐ機能を追加しました。Microsoftの署名が
　無いDLLや改変されたDLLが読み込まれるのを強制的に回避することで、
　マルウェアなどによってパスワードやデータを傍受や改ざんされる可能性を
　低減します。この機能を使用するにはコマンドラインオプションに
　--protectを追加してください。動作が遅い場合や起動に失敗する場合は
　保護レベルを--protect-mediumか--protect-lowに調整してください。

・初めてFTPSでホストに接続した時にSSL/TLSの証明書を表示するように変更
　しました。

・FTPSのコントロール接続のSSLセッションを再利用するように変更しました。
　一部のホストでFTPSによる接続を拒否される問題が解消されます。

・大量のファイルを転送した時にクラッシュするバグを軽減しました。

・URLをクリップボードにコピーすると文字化けするバグを修正しました。

・1.97b以前の設定をINIファイルを通して引き継げるようにしました。

・暗号化なしでの接続を許可しないための設定を追加しました。

・右クリックで表示されるメニューを用いて任意のコードが実行される可能性
　があるバグを修正しました。

■Ver 1.98a

・ホスト一覧ダイアログが文字化けするバグを修正しました。

・ファイル名に日本語を含むサウンドが再生できないバグを修正しました。

・ログの転送結果が常に0 B/Sと表示されるバグを修正しました。

・1.97b以前の設定を引き継いだ場合にホストのファイル名の文字コードが
　UTF-8に設定されてしまうのを修正し、Shift_JISに変更しました。

・FTPSで接続を有効にすると非対応のホストに接続できないことがあるバグを
　軽減しました。

・入力中の新しいマスターパスワードが表示されないようになりました。
　新しいマスターパスワードを設定するには同じパスワードを2回入力する
　必要があります。

・処理内容のログのサイズ制限を撤廃しました。

■Ver 1.98

・FFFTPのオリジナル開発者であるSota氏がFFFTPの開発終了宣言を出した
　のに伴い、SourceForge.JPにて有志による今後の開発・バージョンアップ
　を行うことにしました。Sota氏が制作されたFFFTPには長い間お世話に
　なりました。

・マルチコアCPUの特定環境下でクラッシュするバグを暫定的に解消しました。

・内部の文字コードをUTF-8に変更しました。
・正規表現ライブラリのJRE32.DLLは使用できなくなりました（ライブラリが
　UTF-8に対応していないため）。

・アスキーモード転送の際に行われる漢字コード変換で、Shift_JIS、JIS、
　EUCに加えて新たにUTF-8への変換をサポートしました。

・漢字コード変換を行う際、ローカルのテキストファイルがShift_JISで記述
　されている必要はなくなり、Shift_JIS、JIS、EUC、UTF-8の4種類から変換
　元文字コードを選択できるようになりました。ただし、文字コードの自動
　判別は行われないため、正しく変換するにはあらかじめファイルの漢字
　コードを調べておく必要があります。

・ホストのファイル名の漢字コードは既定でUTF-8が選択されるようになり
　ました（以前のバージョンの設定が残っている場合はその設定が適用
　されます。以前のバージョンの無変換はShift_JISを示しています）。

・Unicode依存文字（中国語など）を含むファイル名を扱えるようになり
　ました。その際ホストのファイル名の漢字コードはUTF-8に設定されて
　いる必要があります。

・ファイル一覧のキャッシュは既定で無効化されました（以前のバージョンの
　設定が残っている場合はその設定が適用されます）。

・ホストとの接続にFTP over Explicit SSL/TLS（略称FTPS Explicit、
　FTPES）が使用できるようになりました。FTPS対応のホストとの通信は、
　パスワード、ユーザー名、ファイルの内容などが暗号化された状態で送受信
　されます。この機能はOpenSSLライブラリを使用して実装しています。

・UTF-8Nという名称をUTF-8に統一しました（この場合UTF-8と同義のため）。

・ファイル転送時のホストとの同時接続数を最大4まで設定できるように
　しました。

■Ver 1.97b

・ホスト側からエクスプローラにドラッグ＆ドロップした時、ファイルやフォルダを
　2つ以上選択していた場合に、正常に動作しない場合があるのを修正しました。
　（Windows 7とVistaでは、ファイルがないというエラーが表示されます。
　Widnows XPでは、エクスプローラが無反応になります。）

■Ver 1.97a

・ホストに接続するパスワードが32文字以上の場合、最初の32文字までしか
　保存されないのを修正しました。

・Windows 2000でアプリケーションエラーになるのを修正しました。

・ヘルプのトップページから「漢字のファイル名について」にジャンプできない
　のを修正しました。

■Ver 1.97

・マスターパスワードの機能を導入しました。
　この機能は、げんげんさんが開発してくださったものです。ありがとうございます。
　このバージョンのFFFTPを最初に起動した時、接続メニューの設定→
　マスターパスワードの設定でマスターパスワードを設定して使用してください。
　マスターパスワードを設定すると、FFFTP起動時にマスターパスワードの入力が
　求められますので、入力してください。
　（げんげんさんのサイトで公開されていたFFFTP 1.96d+009相当の機能です。）

・パスワードの暗号化をAESを使用して行うようにしました。
　この機能はMocaさんが開発してくださったものです。ありがとうございます。
　パスワード保存時の暗号化の強度が高くなりました。
　（Mocaさんのサイトで公開されていたFFFTP 1.96d+009+aes002相当です。）

・上記のFFFTP 1.96d+009+aes002に、以下の変更を加えました。
　・ヘルプを追加しました。
　・FFFTP起動時のマスターパスワードの入力ウインドウに、キャンセルボタンを
　　追加しました。マスターパスワードが思い出せず、いったんFFFTPの起動を
　　キャンセルしたい時に使えます。
　・マスターパスワードの入力では、入力したパスワードは●で表示されるように
　　しました。それが慣例のようですので。

　なお、このバージョンを使用したあとで1.96d以前のバージョンに戻した場合、
　ホストの設定のパスワードは入力し直す必要があります。

■Ver 1.96d

・ホストの漢字コードをEUCまたはJISに設定したとき、IBM拡張文字（シフトJISコード
　で0xFA40〜0xFC4B）が変換されないのを修正しました。
　この範囲の文字は、NEC選定IBM拡張文字等に変換します。

・ヘルプのウインドウでBackSpaceキーやEnterキーを押すと、FFFTP本体が反応して
　しまうのを修正しました。

■Ver 1.96c

・ディレクトリトラバーサルの脆弱性を修正しました。

■Ver 1.96b

・ホスト上でのファイル移動を行うときに表示する確認ダイアログが、Windows 9x
　では文字化けしていたのを修正しました。

■Ver 1.96a

・グループ名にスペースが一つ含まれているファイル一覧形式に対応しました。

■Ver 1.96

・ホスト上でのファイル移動を行うときに、確認ダイアログを表示するようにしま
　した。表示するかどうかの設定は変更できます。
　（オプション-環境設定-操作）

・ツールバー上でマウスの両ボタンを同時にクリックすると、FFFTPが無反応になる
　場合があるのを修正しました。（すなすなミックスさん、修正ありがとうござい
　ます。）

・ファイル一覧（詳細表示時）のタイトル行にドラッグ＆ドロップしたときに、
　動作がおかしいのを修正しました。

■Ver 1.95

このバージョンの改造は、すべてmiauさんが改造されたものです。

・ファイルリスト部分で Alt+D 押下すると、アドレスバー部分にフォーカスを移動
　するようにしました。

・アドレスバー部分で TAB 押下すると、ファイルリストにフォーカスを移動する
　ようにしました。

・ファイルリスト部分で Ctrl+M 押下すると、転送モードをASCII→BINARY→AUTOの
　順で変更するようにしました。

・ファイル一覧の読み込み直後、先頭のファイルにフォーカスするようにしました。

・ファイル一覧の読み込み中は、アクセラレータキーを無効にしました。

・「オプション」→「ツール」で指定するビューア２とビューア３が "d "
　（d+半角スペース）で始まっている場合は、差分ビューアとして動作するように
　しました。詳細はヘルプの「環境設定-ツール」をご覧ください。

・ローカルファイルが読み取り専用／排他制御中のためダウンロードに失敗した
　場合も通信エラーとみなされ、サーバとの接続が切れてしまう問題を修正しました。

・ダウンロード先のファイルが読み取り専用の場合、「読み取り専用ファイルです。
　読み取り専用属性を解除しますか？」みたいなダイアログを出すようにしました。

■Ver 1.94a

・ドラッグ＆ドロップでのテンポラリファイルの扱いを変更しました。（平田豊さん）

・ドラッグ＆ドロップでのファイル転送中は、FFFTPのウインドウを操作できない
　ようにしました。（平田豊さん）

■Ver 1.94

・平田豊さんがnakkaさんのライブラリを使って、OLEドラッグ＆ドロップを実装
　してくださいました。FFFTPからエクスプローラなどへのドラッグ＆ドロップが
　できるようになりました。

・平田豊さんが、ホスト上でのファイルの移動を実装してくださいました。
　ホスト側にあるファイルを、子フォルダに移動させることができます。

■Ver 1.93

・サーバ側のファイル名としてUTF-8を選べるようにしました。
　（ホスト一覧-ホストの設定-文字コード）

・シフト＋F10キーでアプリケーションメニューを表示するようにしました。

■Ver 1.92c

・転送高速化のためのバッファサイズ拡張が、無効になっていたのを修正しました。

■Ver 1.92b

・ヘルプがWindows Vistaで表示されなかったのを修正しました。
・「設定をファイルに保存」と「設定をファイルから復元」がWindows Vistaでエラーに
　なるのを修正しました。

■Ver 1.92a

・ファイル一覧を取得するときに、LISTコマンドを使用するようにしました。
・PASVモードを使用するのを標準にしました。
・FFFTPを最初に起動した時に、naanonymous FTPをあらかじめ登録しておくのを
　やめました。またこれに伴い、メールアドレスを聞くのをやめました。
　（anonymous FTPは使用しない人が多いため。）

　（今回のバージョンの変更に関しては、以前のバージョンで作成したホストの
　　設定は、以前の設定のまま変わりません。新しく作成するホストの設定で
　　上記の変更が反映されます。）

■Ver 1.92

・PASVモードの時に、サーバから返される文字列によってはアプリケーションエラー
　になるのを修正しました。
・ファイル一覧ウインドウの上にある、フォルダ名ウインドウに入力できる文字数が、
　ウインドウ幅に制限されていたのを修正しました。
・中国語Solarisのファイル一覧形式に対応しました。
・ファイアウォールの設定で「ユーザ名@ホスト名」のような設定のとき、「@」を
　別の文字に変更できるようにしました。
　（オプション-環境設定-FireWall）
・コマンドラインの"-n"オプションでINIファイルを指定したとき、INIファイルが
　無かったときにレジストリに書き込んでしまうのを修正しました。
・更新風鐸に対応しました。

■Ver 1.91

・ホストの設定の「ホストのタイムゾーン」の項目が、おかしな表示になっていた
　のを修正しました。
・シバソクWLシリーズのファイル一覧形式に対応しました。
　（ホストの設定-高度-ホストの種類 で「シバソクWL」を選んでください）

■Ver 1.90

・転送速度を向上させました。（白水様のコードを組み込みました。どうもありがとう
　ございます。）
・FireWallの種類に「USER FWユーザ名:FWパスワード@ホスト名」を追加しました。
　プロキシサーバSidewinderの形式のようです。（安部様のコードを組み込みました。
　ありがとうございます。）
　（オプション-環境設定-FireWall）
・2ギガバイト以上のファイルで、サイズの表示、転送ウインドウの表示がおかしく
　なるのを修正しました。
・ダウンロードの中止の処理を見直しました。
・ファイルサイズの表示を３桁ごとに区切るようにしました。
・ローカル側のファイル一覧に、ドライブ名を表示するのをやめました。
　（オプション-環境設定-表示 で表示するようにも設定できます）
・「設定をファイルから復元」コマンドで、「My Document」など、フォルダ名に
　空白があるときにエラーになるのを修正しました。
　（接続-設定-設定をファイルから復元）
・ミラーリングアップロードでファイルを削除するときに、確認する設定を初期
　状態ではONにしました。（FFFTPをすでに使っているときの設定は変更しません。）

■Ver 1.89aの変更点

・アップロード後に、ホスト側のファイル一覧が更新されないことがあるのを
　修正しました。

■Ver 1.89

・アップロードの速度を改善しました。（原田さま、解析ありがとうございます）
・アップロード完了時に、アップロード中のウインドウがなかなか閉じない場合が
　あるのを修正しました。（RaidenFTPD使用時など）
・PASVモード使用時に、FFFTPが期待しない文字列をサーバが返す時に落ちるのを
　修正しました。（村山様、解析ありがとうございます）
・マルチスレッド動作で、サーバからのメッセージ処理がうまくいかないことが
　あるのを修正しました。（村山様、解析ありがとうございます）
・ファイルに保存した設定を復元するメニュー項目を追加しました。
　（接続-設定-設定をファイルから復元）
・アジレント社のロジックアナライザにFTP接続した時にファイル一覧が表示される
　ようにしました。
　（ホストの設定-高度-ホストの種類で Agilent を選ぶ必要があります。）

■Ver 1.88b

・英語版FFFTPの英文を見直しました。（ジム様、ご協力ありがとうございます）

■Ver 1.88a

・「FFFTPが削除できません」というエラーが表示される場合があるのを修正しました。

■Ver 1.88

・FFFTPをこのバージョンから使いはじめる場合、設定をレジストリに保存するように
　しました。マルチユーザ環境での問題を解消するためです。
　（すでにFFFTPをつかっておられた場合は、変更はありません。）
・レジストリの設定をファイルに保存できるようにしました。
　（接続-設定-設定をファイルに保存）
・ファイル一覧のオーナ名を40文字まで表示できるようにしました。
・エクスプローラからローカル側のファイル一覧ウインドウにファイルをドラッグ＆
　ドロップした時は、そのファイルがあるフォルダに移動するようにしました。
　（ホスト側にドラッグ＆ドロップした時は、従来通りアップロードの動作を
　します。）
・シフトキー＋マウスホイールでスクロールする時は、ページ単位でスクロールする
　ようにしました。（山本様、変更ありがとうございます。）
・マルチモニタ環境でマウスホイールによるスクロールが行われない場合があるのを
　修正しました。（山本様、修正ありがとうございます。）
・ビデオカードによっては、ファイル一覧ウインドウの枠の部分にゴミが表示されて
　しまうのを修正しました。

■Ver 1.87a

・Bookmarkが保存されないことがあるのを修正しました。

■Ver 1.87

・Windows98で、ダイアルアップのエントリが表示されないのを修正しました。
・接続を切らないままタイムアウトになり、ホストから接続が切られた時、次の操作で
　自動的に接続を再開するようにしました。

■Ver 1.86a

・Ver.1.86で、ダウンロードが途中で終わってしまうのを修正しました。

■Ver 1.86

・Ver.1.85でもファイルの転送がストップしてしまう事があるようなので、処理を
　見直しました。
・Ver.1.83で追加した、ホスト名から"http://"などを取り除く処理をやめました。
・Windows XPの画面デザイン（テーマ）に対応しました。　
・ファイル名に"&"が使われている時に、ダイアログでの表示がおかしいのを修正
　しました。
・RASライブラリをロードしないオプションを追加しました。
　起動時にRASライブラリのエラーが出る場合は、チェックマークを付けてください。
　（オプション-環境設定-接続/切断-RASの制御を行わない）
・ホストがStratusの時は、パスの区切り文字を">"に変更してからホストに送るように
　しました。
・OS9のサーバのサブディレクトリに対応しました。
・次のような書式のファイル一覧を返すサーバに対応しました。
    -rwxrwxrwx SEQ 36203776 01/07/07 12:38:28 ABCDEFG
・次のような書式のファイル一覧を返すサーバに対応しました。(IBMホスト)
    MTS940 3390   2001/07/26  1    1  FB      80  3120  PS  FTPOUT.CNTL
・窓の手やTweak UIで設定できる隠しドライブに対応しました。

■Ver 1.85

・Ver.1.84でファイルの転送が中止されてしまう事があるのを修正しました。

■Ver 1.84

・Ver.1.83でファイル転送が始まらない、途中で止まることがあるのを修正しました。
・Ver.1.83でCPUの占有率が高いのを修正しました。
・初期状態で設定するanonymous FTPサイトのリストを変更しました。

■Ver 1.83

・ファイル一覧ウインドウの上にある、現在のフォルダ名を表示するウインドウで、
　フォルダ名を入力して移動できるようにしました。
・処理内容ウインドウの内容を、マウスで範囲指定してコピーできるようにしました。
・unix系のホストで、ファイル一覧のオーナ名、グループ名の後ろに何かがある場合に
　対応しました。
　例）-rw-r--r--   1 owner m group  m    20407 Jul 13 07:03 filename.txt
・ホスト設定ウインドウのホスト名（アドレス）欄に、"ftp://xxx.com/pub/" ような
　URLを入力できるようにしました。（"xxx.com" 以外は無視します。）
・ネットワークが重い時に、データの送受信中にタイムアウトまでの間無反応になる
　事があるのを改良しました。
・通信中にFFFTPのウインドウを閉じた時、FFFTPが正しく終了しななかったのを修正
　しました。

■Ver 1.82

・カレントフォルダの取得で、XPWDコマンドを使用するように変更しました。
　（XPWDが使えないときはPWDを使います。）
・ローカル側のフォルダ変更ウインドウで、フォルダ一覧を表示できるようにしました。
・コマンドラインオプション -n を追加しました。オプションで指定したINIファイルの
　設定で起動します。
　（詳細は ffftp -h を参照のこと）
・日付を「5/14」のように返すホストに対応しました。
・OS9のサーバに対応しました。（一部機能限定→サブディレクトリの見分け方が分かり
　ません。どなたかご存じない？）

■Ver 1.81

・ファイル一覧の中に Ctrl-H が含まれているホストに対応しました。
・ファイル転送時のエラー表示ウインドウにエラーの理由を表示するようにしました。
・URLをクリップボードへコピーする際に、ポート番号が標準でないときはポート番号も
　付加するようにしました。
・アップロード時に作成するフォルダの属性（パーミッション）をあらかじめ指定
　できるようにしました。
　（オプション-環境設定-転送３）
・ホスト側のファイル一覧表示で、日付が未来になってしまうことがあるのを修正しま
　した。

■Ver 1.80

・Ctrl-Shift-Dでミラーリングダウンロードができないのを修正しました。
・初インストールのときは、INIファイルを使うほうをデフォルトにしました。
・レジストリとINIファイルの両方に設定がある場合は、INIファイルのほうを優先する
　ようにしました。

■Ver 1.79a

・ミラーリングアップロードで、ホスト側とローカル側の日付が同じで時刻がだけが違
　うファイルが、アップロードされない場合があるのを修正しました。

■Ver 1.79

・リンクになっているファイルのアイコンを変える事ができるようにしました。
 （ホストの設定でNLSTコマンドオプションを変更する必要があります。）
・ツールの設定でパス名の後ろに /e などを付けて指定したとき、右ボタンメニューで
　の表示がおかしくなるのを修正しました。
・ツールを起動する際、現在のローカルフォルダをカレントフォルダとして起動するよ
　うに変更しました。
・ホストから送られてくるファイル情報に日付、時刻がない場合は、ファイル一覧画面
　では空白にするように変更しました。
・ミラーリングアップロードの際、ホスト側のファイルの時刻がわからない場合（例え
　ば、unix系ホストで半年以上経過した場合）は、日付だけを比較するように変更しま
　した。

■Ver 1.78

・ミラーリング時のファイル削除の前に確認できるようにしました。
　（オプション-環境設定-ミラーリング）
・ミラーリングダウンロードでは、転送／削除ファイル一覧を必ず確認するように
　しました。
・ミラーリングの転送／削除ファイル一覧ウインドウで、複数のファイルを選択できる
　ようにしました。
・一部ダイアログの記述変更。
・FireWallの種類に FWユーザ→FWパスワード を追加。
　（オプション-環境設定-FireWall）
・FireWall使用時のSITEコマンド、OPENコマンドを小文字にできるようにしました。
　（オプション-環境設定-FireWall）

■Ver 1.77

・ツールバーにミラーリングアップロードのボタンを用意しました。
・名前を変えてアップロードを行なう際、ホスト側に同じ名前のファイルがあるかどう
　かのチェックが行われないのを修正しました。
・名前を変えてアップロードで、最初にアップロード終了のサウンドが鳴ってしまうの
　を修正しました。
・アップロード時のホスト側のファイルのチェックの処理を大幅に変更しました。
・ローカル側、ホスト側の間の区切りを一番左側にした時（ホスト側のみ表示）、次の
　起動時に少し移動してしまうのを修正しました。
・ローカル側の隠し属性のファイルは表示しない設定を追加しました。ミラーリング
　アップロードでも、隠し属性のファイルは無視するようになります。
　（オプション-環境設定-表示）
・フォントの設定をオプションに移動しました。
　（オプション-環境設定-表示）
・アライドテレシスのPC用FTPサーバに対応しました。
・Stratusのサーバで転送がうまくいかないのを修正しました。

■Ver 1.76a

・転送中ウインドウがメインのウインドウの後ろに隠れてしまうのを修正しました。

■Ver 1.76

・アプリケーションキー（109キーボードの右Ctrlキーの隣のキー）で、右ボタン
　メニューを表示するようにしました。
・WindowsやOS/2のFTPサーバで、2000年を100年として返す物に対応しました。

■Ver 1.75

・ブックマークにローカル側、ホスト側をペアで登録できるようにしました。
　（ブックマーク-追加-両方）
・ダイアルアップネットワークがインストールされていない時に、エラーメッセージが
　しつこく出るのを修正しました。
・転送確認のウインドウが、転送中ウインドウに隠れてしまうのを修正しました。
・unixホストでの年の扱いを少し変更。
・Windows95, Windows98でローカル側のディスク空き容量の表示が2G以上のときに
　おかしかったのを修正しました。(Windows95はOSR2以上）

■Ver 1.74

・ホストごとにダイアルアップの接続先を指定できるようにしました。
　（ホスト一覧-ホストの設定-ダイアルアップ）
・ファイル一覧の年の表示を4桁にしました。（一覧の横幅が広くなってしまいました）
・SOCKS接続時のエラーを少し詳しく表示するようにしました、

■Ver 1.73

・SOCKS Ver.5でホストの検索をSOCKSサーバに任せることができるようにしました。
　（オプション-環境設定-FireWall）
・アップロードの確認、ダウンロードの確認ダイアログで、選択した項目を記憶する
　ようにしました。

■Ver 1.72

・SOCKS Ver.5に対応しました。(GSS-API認証には未対応です)
　（オプション-環境設定-FireWall）

■Ver 1.71

・ミラーリングアップロードで「ファイル名を小文字にして転送」の設定をしている
　時、ローカル側のファイル名が大文字だと毎回アップロードしてしまうのを修正しま
　した。
・ミラーリングアップロードで「ファイル名を小文字にして転送」を選ぶと、フォルダ
　名も小文字にしてしまっていました。動作を変えないため、これを仕様にしました。
　「フォルダ名を小文字にして転送」の設定は意味がないので、なくしました。
・IRMXのFTPサーバでファイル一覧が表示できるように変更しました。
　（ホストの種類で IRMX を選ぶ必要があります。）
・StratusのFTPサーバでファイル一覧が表示できるように変更しました。
　（ホストの種類で Stratus を選ぶ必要があります。）
・ACOSでファイル名を()で括らない設定を追加しました。
　（ホストの種類で ACOS-4 を選ぶ必要があります。）

■Ver 1.70

・MS-Wordで開いているファイルをアップロードできないのを修正しました。
・フォルダ同時移動で一つ上のフォルダに移動する時の動作を変更しました。
・プログラム終了時にスレッドの１つが残ったままになる場合があるらしいので、
　終了時の処理を変更しました。
・OpenVMSでディレクトリの削除ができないのを修正しました。VMSで以前よりも動作が
　おかしくなる場合はご連絡いただければ幸いです。
・\などを含むファイルをダウンロードする時は、ファイル名を変更するダイアログを
　表示するようにしました。

■Ver 1.69

・アップロードのリジュームに対応しました。
・リジュームコマンドが受け付けられないときに、エラーダイアログを出すように
　しました。
・FireWallを使うとき、接続先のポートが標準(21)でないときにはポート番号を付加し
　て接続するようにしました。
　（例：USER user@host 1234）
・FireWallにログインする時にワンタイムパスワードを使えるようにしました。
・ホスト側のファイル名は大文字、小文字を区別するようにしました。
　（a.txt と A.TXT はそれぞれ別のファイルとして扱います。）
・コマンドラインオプション --saveoff --saveon を追加しました。
　（詳細は ffftp -h を参照のこと）
・オプションの「転送３」タブのところで、属性変更ウインドウの値が正しく取り
　込まれないのを修正しました。
・テンポラリファイルを作成するフォルダが無い時に、エラーを表示するように
　しました。

■Ver 1.68a

・ホスト一覧ウインドウでカーソルが隠れてしまい、スクロールしないと表示されなく
　なる場合があるのを修正しました。
・PWDコマンドで非常に長いパス名が返されたとき、異常終了するのを修正しました。

■Ver 1.68

・ホストの設定をグループ別に管理できるようにしました。
・unix系ホストでファイルのサイズが0バイトになる場合があるのを修正しました。
・VAX VMSのホストでサブフォルダを含むファイルのアップロードがうまくいかないのを
　修正できたかもしれない。

■Ver 1.67a

・WindowsフォルダのPROTOCOLファイルがなくてもエラーにならないようにしました。

■Ver 1.67

・改行コードがLFのみ、またはCRのみのテキストを、アスキーモードで正しく送信
　できないのを修正しました。
・フィルタ機能を追加しました。
　（表示-フィルタ）
・右ボタンメニューに「全てをダウンロード」「全てをアップロード」を追加しま
　した。
・コマンドラインで -q オプションを付けてミラーリングアップロードを行うと、
　FFFTPが正しく終了できないのを修正しました。

■Ver 1.66

・東芝のOS7を使ったホストに対応しました。
・ファイルの属性変更で、４桁まで数値を入力できるようにしました。
・ワンタイムパスワードでSeedの後ろに記号などが付いている場合に、記号は無視する
　ように変更しました。
・ホストから切断する時、QUITコマンドを送ることをできるようにしました。
　（オプション-環境設定-接続/切断）
・プログラム終了時にスレッドの１つが残ったままになる場合があるらしいので、
　終了時の処理を変更しました。（現象が解消されているかどうかは未確認です）

■Ver 1.65

・漢字のファイル名のファイルの属性変更がうまくいかないのを修正しました。
・コマンドラインでミラーリングの指定をしたとき、ホストへの接続に失敗しても
　ミラーリングを続行しようとしてしまうのを修正しました。
・時刻を a:m、p:m というふうに返すホストに対応しました。

■Ver 1.64

・ファイル転送中ウインドウに「次以降中止」ボタンを追加しました。複数のファイル
　を転送する際に、今転送中のファイルの次のファイル以降の転送を中止します。
　（今転送しているファイルは最後まで転送します）
・ホストから切断する時、QUITコマンドを送らないようにしてみました。
・ミラーリングアップロードで、ホストの種類によっては消すべきではないホスト側の
　フォルダを消そうとするのを修正しました。
・ホスト側のファイル一覧に、ファイルの所有者を表示するようにしました。

■Ver 1.63

・ホスト一覧に設定されていないホストはPASVモードを使う設定にしても、コマンド
　ラインでホストを指定した時は設定が有効にならないのを修正しました。
・ワンタイムパスワードの解析がうまくいかない事があるのを修正しました。

■Ver 1.62

・ワンタイムパスワードを使用しているホストで、パスワード入力前のホストの
　リプライが複数行のとき、パスワードの作成がうまくいかないのを修正しました。
・ホスト一覧に設定されていないホストではPASVモードを使う設定を追加しました。
　（オプション-FireWall）
・クイック接続のダイアログでPASVモードを使うかどうかを選べるようにしました。

■Ver 1.61

・ファイル一覧キャッシュを使わない設定にした時、テンポラリファイルが残って
　しまうのを修正しました。
・ローカルファイルに対して属性変更を行った時は、ファイルのプロパティウインドウ
　を表示するようにしました。（複数ファイルを一括して行うことはできません）
・ホストへ接続時に任意のコマンドを送ることができるようにしました。
　（ホスト一覧-ホストの設定-拡張）
・ブックマークにローカル側のパスも登録できるようにしました。
　（ブックマーク）

■Ver 1.60

・Windows95でローカル側のファイルを削除すると、不正な処理となってしまうのを
　修正しました。
・F2キーでファイル名変更、Alt+Returnキーで属性変更を行うようにしました。
・VMSのホストでフォルダを移動する時、ホストに送るフォルダ名の書式を変更
　しました。（"CWD PUB" → "CWD [.PUB]"）

■Ver 1.59a

・コマンドラインオプション -m がエラーになってしまうのを修正しました。

■Ver 1.59

・ローカル側のファイルの削除はゴミ箱を使うようにしました。
・MELCOM80（RX7000シリーズ）のFTPサーバに対応しました。
・コマンドラインオプション -d （ミラーリングダウンロード）を追加しました。
・上位フォルダに移動する時 CDUP コマンドを使うようにしました。（今までは CWD ..
　を使用していました）
・設定をINIファイルに保存する設定の切替えがうまくいかないのを修正しました。
　（オプション-環境設定-その他）

■Ver 1.58

・VAX VMSのFTPサーバに対応しました。
　（ホスト一覧-ホストの設定-高度）
・ファイル名のセミコロン以降を取り除いた名前でダウンロードできるように
　しました。
　（オプション-環境設定-転送１）
・ホスト側のファイルのURLをクリップボードへコピーできるようにしました。
　（右ボタンメニュー）
・ダウンロードの途中でエラーになった後、アプリケーションエラーが起こる事が
　あったのを修正しました。

■Ver 1.57

・接続したホストのヒストリ（接続メニューに表示されるもの）で、ホスト側の
　フォルダ名も表示するようにしました。
・VAX VMSのFTPサーバに対応中（動作確認ができていません）。どなたかVAXに接続
　できるか試していただけると助かります。「ホストの設定」の「高度」タブにある
　「ホストの種類」でVAXを選ぶ必要があります。

■Ver 1.56

・ビューワの起動方法を変更しました。
・接続したホストのヒストリにパスワードを保存しない設定を追加しました。
　（オプション-環境設定-接続/切断）
・クイック接続ウインドウのユーザ名に、"anonymous"をセットしない設定を追加
　しました。
　（オプション-環境設定-接続/切断）

■Ver 1.55

・接続したホストのヒストリ（接続メニューに表示されるもの）でユーザ名、
　パスワード等も記憶するようにしました。
　anonymous以外でもヒストリが使えるようになりました。
　（★★ 変更に伴い、今までの接続ヒストリデータは消えます。必要なものはメモ
　しておいてください。 ★★）
・シンボリックリンク等のファイルを間違えてディレクトリと判断した場合のために、
　それをファイルとみなしてダウンロードできるようにしました。
　（コマンド-ファイルとしてダウンロード）
・ワイルドカードの仕様をWindowsの仕様に近づけました。
　「*.」と指定する事で、拡張子の無いファイルの指定もできるようになりました。
・ミラーリングダウンロードで、転送中ウインドウの残り時間表示がおかしくなるのを
　修正しました。
・転送終了時間の計算ができない状態の時、転送中ウインドウの残り時間表示が
　おかしくなるのを修正しました。
・ファイル名が CON.*、PRN.*、AUX.*のファイルはエラーにするようにしました。

■Ver 1.54a

・HP-UX等のホストでファイル名が表示されないのを修正しました。

■Ver 1.54

・時刻を日本語混じりで返すunixのホストに対応しました。また、日付を日本語混じり
　で返すホストで、一部のファイルが表示されないのを修正しました。
・ホスト側の漢字のファイル名がEUC,JISの時、半角カタカナのファイル名を全角に
　変換しないようにも出来るようにしました。
　（ホスト一覧-ホストの設定-文字コード）
・転送中ダイアログのCPS表示をちょっと変更しました。

■Ver 1.53

・ビューワでファイルを開く時、ファイル名にスペースが含まれている時だけダブル
　クオートで括るようにしました。
・タイムアウトを計測しないように出来るようにしました。（タイムアウト時間を0に
　するとタイムアウトしないようになります。）
　（オプション-環境設定-転送２）
・ファイル一覧を日付順、サイズ順などでソートする時、同じ日付、またはサイズの
　ファイルは名前順でソートするようにしました。
・FFFTPを複数起動した時にホスト側のファイル一覧がおかしくなるのを、*おおむね*
　修正しました。（非完璧バージョン）

■Ver 1.52

・ミラーリングアップロードで、ホスト側の不要なフォルダの削除が失敗するのを修正
　しました。
・OS/2のFTPサーバに対応しました。
・コマンドラインオプション -k -u -i を追加しました。
　（詳細は ffftp -h を参照のこと）
・ミラーリングダウンロードを追加しました。
　（コマンド-ミラーリングダウンロード）

■Ver 1.51

・「LISTコマンドでファイル一覧を取得」を使う時でも、サブフォルダを含んだ
　ファイルの転送、ミラーリングアップロードなどが出来るようにしました。
・ホストによって、サブフォルダの内容を含めたダウンロードやミラーリングアップ
　ロードがうまくいかないのに対応しました。
　（ホスト一覧-ホストの設定-高度）
・富士通GP6000モデル900のFTPサーバに対応しました。

■Ver 1.50

・年を4桁で返すタイプのNT用FTPサーバに対応しました。
・ミラーリングアップロードを開始する時、処理前にどのようなファイルを複写／削除
　するのかを表示できるようにしました。
　（コマンド-ミラーリングアップロード-ミラーリング確認ウインドウ）
・コマンドラインオプション -e -j -a -b -x を追加しました。また、ファイルの
　ダウンロードでも -q オプションを使えるようにしました。
　（詳細は ffftp -h を参照のこと）
・空のパスワードを送ることができるようにしました。（パスワードの要求にリターン
　キーだけで答えるようなイメージです）　パスワード欄にスペース１文字を書いて
　ください。
・ビューワでファイルを開く時、ファイル名をダブルクオートで括るようにしました。

■Ver 1.49

・ファイル一覧のキャッシュや、作業ファイルを作成するフォルダを指定できるように
　しました。
　（オプション-環境設定-その他）
・ワンタイムパスワードに対応しました。
　（ホスト一覧-ホスト設定-拡張）
・Windows 3.1のChameleon FTPサーバに対応しました。

■Ver 1.48

・ホスト毎にソート方法を保存できるようにしました。
　（表示-ソート）
・マウスの右ボタンメニューに「ファイル容量計算」を追加しました。
・ファイル一覧ウインドウのタブをクリックしてソート方法を変更した時、フォルダ名
　のソートが変更されないのを修正しました。
・アップロードしようとしたファイルが読み出し禁止の時、サイズが0バイトの
　ファイルをホスト側に作ってしまうのを修正しました。
・名前の大文字／小文字が違うだけの２つのフォルダがホストにある時、同じ
　キャッシュデータを使用していたのを修正しました。
・ミラーリングアップロードで「削除しないファイル」を設定している時、不正な処理
　となる場合があるのを修正しました。
・オプションウインドウでヘルプを表示した時、間違ったページを表示する場合が
　あったのを修正しました。

■Ver 1.47

・富士通M1800のFTPサーバに対応しました。
・ファイル一覧の取得中、またはファイル名をダブルクリック（もしくは「開く」）
　した時のダウンロード中、途中経過をステータスバーに表示するようにしました。
　また、これらの処理を中止出来るようにしました。
　（ツールバーの受信中止ボタン）
・ウインドウを最大化した時、サイズが保存されないのを修正しました。また、最小化
　して起動した時、ホスト側のファイルリストがウインドウいっぱいに広がってしまう
　のを修正しました。

■Ver 1.46a

・SOCKSを使う時、PASVモードでない場合に、データ転送が正しく行われないのを修正
　しました。

■Ver 1.46

・ホスト一覧ウインドウと、ブックマーク編集ウインドウのサイズを変更できるように
　しました。
・クイック接続のダイアログでFireWallを使うかどうかを選べるようにしました。
・アップロードするファイルの属性の設定が、アップロードしたファイルに正しく反映
　されない事がある（多分だめな場合が多い）のを修正しました。

■Ver 1.45

・SOCKS(Ver.4)に対応しました。（Ver.5には未対応。）
・コマンドラインオプションを追加しました。（-q、--quit）
・アップロードするファイルの属性（パーミッション）を、あらかじめ設定できる
　ようにしました。
　（オプション-環境設定-転送３）
・AS/400のFTPサーバに対応しました。

■Ver 1.44

・通信のタイムアウトの処理、エラー処理を見直しました。
・メッセージの一部を日本語にしました。
・Win95/98で、タスクウインドウの表示が止まってしまうのを修正しました。
・初回起動時に登録するサンプルのホスト６つの設定が、おかしくなってしまっていた
　のを修正しました。（プログラムを変更した時、あわせてデータを変更して
　いなかったため。おかしくなるのはサンプルホストだけです。）以前のバージョンを
　使っていて、サンプルホストの設定がおかしくなっている時は、
　(1)ホストの設定-拡張-ポート番号
　(2)ホストの設定-高度-NLSTファイル名/オプション
　の２つを、「標準」ボタンを押して修正してください。

■Ver 1.43

・日付を漢字混じりで返すUNIX系ホストで、ファイル名の一部が表示されない場合が
　あるのを修正しました。

■Ver 1.42

・MACのFTPサーバーで一部のフォルダが表示されないのを修正しました。
・クイック接続のとき、ホスト名、ユーザ名、パスワードを１つのウインドウで入力
　できるようにしました。
・接続したホストのヒストリを、ファイルメニューとクイック接続ウインドウに表示
　するようにしました。
　（オプション-環境設定-接続/切断）

■Ver 1.41

・PWDコマンドが使えないホストに対応しました。
　（設定なし。自動認識）
　PWDコマンドが使えないホストの場合、以下の制限事項があります。
   (1)ディレクトリがシンボリックリンクなどの時、正しいディレクトリ名を表示でき
　　　ない場合があります。）
   (2)ホストの設定で「ホストの初期フォルダ」を必ず指定してください。
・フルパスでファイルにアクセスできない場合のために、フルパスを使用しない方法を
　選べるようにしました。
　チェンジディレクトリしながらファイルをアクセスするので、速度が若干遅くなりま
　す。
　（ホスト一覧-ホストの設定-高度）
・ローカル側のヒストリ（ファイルリストの上にあるコンボボックス）に、あらかじめ
　ドライブ名をセットしておくようにしました。
・ウインドウのサイズを変更した時、ステータスウインドウの表示が乱れるのを修正し
　ました。
・FFFTPを終了する時、ヘルプが開かれていたら閉じるようにしました。
・ホストの設定ウインドウの構成を変更しました。
・詳細表示で、長いファイル名のTipヘルプ表示が必要以上に出ていたので、調整しま
　した。
・ダウンロード中にホスト側から回線を切られた時、不必要に再接続してダウンロード
　を再開してしまうのを修正しました。

■Ver 1.40a

・SolarisやHP-UXの一部のホストでファイル名が表示されなかったのを修正しました。

■Ver 1.40

・MACのFTPサーバーに対応しました。（フォルダ名が表示されなかった）
・DOS形式のファイル一覧を返すFTPサーバーに対応しました。
・フォルダ同時移動の初期状態を設定できるようにしました。
　（ホスト一覧-ホストの設定-拡張）

■Ver 1.39

・ホストのファイル名がEUCの時、「メモ」等のファイル名が正しく扱えなかったのを
　修正しました。

■Ver 1.38

・ダウンロードのレジュームを行う時、転送レートの表示がおかしかったのを修正しま
　した。
・ミラーリングアップロードの「削除しないファイル」の設定を、フォルダにも適用し
　ました。
　（オプション-環境設定-ミラーリング）
・フォルダを日付順にソートできるようにしました。
　（表示-ソート）
・FireWallを使っている時、接続失敗の時、あるいは回線切断のときにハングアップす
　ることがあったのを修正しました。

■Ver 1.37

・プログラム終了時にダイアルアップを切断できるようにしました。
　（オプション-環境設定-接続/切断）
・ローカル側、ホスト側それぞれのファイルの容量（サブフォルダ含む）を表示できる
　ようにしました。
　（コマンド）
・コマンドラインオプションを追加しました。（ホスト設定名を指定しての接続、ミ
　ラーリングの開始オプション）
・たくさんの処理をすると処理内容の表示が止まってしまうのを修正しました。

■Ver 1.36

・右ボタンを押した時、その位置のファイルが選ばれなかったのを修正しました。
・SunOS 5.xのホストにミラーリングアップロードする際、不必要に再アップロードす
　るのを修正しました。

■Ver 1.35

・ファイル名の最後の文字が「表」の時に、ファイル名が正しく表示できないのを修正
　しました。
・待機結合ファイルを指定する必要のあるACOSのホストに対応しました。（機能的にい
　くつかの制限があります）

■Ver 1.34

・ホストのIPアドレスを直接指定した時、DNSを見に行かないように変更しました。
・半角カタカナを全角に変換する時、濁点、半濁点が別々にならないようにしました。
　（「カ゛」→「ガ」）

■Ver 1.33

・任意のコマンドをホストに送れるようにしました。
　（コマンド）
・「名前を指定してダウンロード」機能を追加しました。ファイル一覧表示の許可が与
　えられていないファイルでもダウンロードできます。
　（コマンド）
・キャッシュを使うが保存しないように設定した時、以前に保存したキャッシュデータ
　を読み込んでしまう事があるのを修正しました。
・同じホストに別のユーザ名で接続した時は、ファイル一覧のキャッシュを、それぞれ
　別々に行なうようにしました。

■Ver 1.32

・ファイル名の小文字変換の設定を、ミラーリングの時とそうでない時の２つに分けま
　した。（★★ 小文字変換を使用している時は、再設定してください ★★）
　（オプション-環境設定-ミラーリング）
・ホスト一覧を閉じた時にも、ホストの設定をレジストリに書き込むようにしました。
　（従来はプログラム終了時のみ）
・Welcomeメッセージが正しく受け取れない場合があるのを修正しました。
　(ftp.microsoft.comなど)

■Ver 1.31

・ファイルの属性変更で、直接数値を入力して指定できるようにしました。
　（コマンド-属性変更）
・ミラーリングアップロードの「転送しないファイル」の設定を、フォルダにも適用し
　ました。
　（オプション-環境設定-ミラーリング）

■Ver 1.30

・ミラーリングアップロードで、転送しないファイル、ホストから削除しないファイル
　の設定を追加しました。
　（オプション-環境設定-ミラーリング）

■Ver 1.29

・サーバのリプライを受け取る際に、不正なメモリアクセスとなる場合があるのを修正
　しました。
・フォルダの同時移動モードを追加しました。ローカル側、ホスト側で同じ名前のサブ
　フォルダがある時、フォルダの移動を同時に行うことができます。

■Ver 1.28

・ログイン時にアカウントを送ることができるようにしました。
　（ホスト一覧-ホストの設定-拡張）

■Ver 1.27

・ミラーリングアップロード機能を追加しました。
　ホスト側のファイル／フォルダ構成を、ローカル側に合わせます。Webページのファイ
　ル転送などに便利です。
・ホスト側のファイル一覧が更新されないことがあるのを修正しました。

■Ver 1.26

・フォルダ選択で選べないフォルダがあったのを修正しました。
　（フォルダ選択画面を、Win95標準?の物にしました。）
・ダウンロードするファイルと同じ名前のファイルがローカル側にある時のダウンロー
　ドの確認を、ダウンロード開始時にまとめて行なうようにしました。確認の終わった
　ものから順次バックグラウンドで転送します。確認と転送が同時進行で行なえるの
　で、サイズの大きな多数のファイルを転送する時に、時間の節約になります。
　（今までは、一つのファイルの転送が終わった後で、次のファイルの確認を行なって
　いました。）
　アップロードは諸般の事情で従来通り。

■Ver 1.25a

・ウインドウサイズの変更を行うと画面が乱れるのを修正しました。

■Ver 1.25

・マウスホイールを使ったスクロールは、マウスカーソルのあるウインドウに対して行
　うようにしました。（WinNTのみ）
・ファイル一覧ウインドウ間のドラッグ＆ドロップに対応しました。

■Ver 1.24

・「選択」と「全選択」で、ドライブ名は選択しないようにしました。
・「選択」で、日付比較などの条件を付ける事が出来るようにしました。
・ファイル転送中ウインドウのタイトルに、転送待ちファイル数を表示するようにしま
　した。

■Ver 1.23

・右ボタンメニューに「フォルダ作成」を追加しました。
・ホストにつなぎっぱなしでタイムアウトで接続を切られた後の自動再接続で、パス
　ワードの入力を要求する事があるのを修正しました。
・パスワードが間違っていた時、もう一度正しいパスワードを入力できるように変更し
　ました。
・タスクバーを左、または上に表示している時、ウインドウの位置を正しく保存できな
　いのを修正しました。

■Ver 1.22

・NT形式のファイル一覧で、日付を 月-日-年 の順で返すホストに対応しました。
　（2000年12月31日以前の日付のファイルのみに暫定対応）

■Ver 1.21

・設定をレジストリでなくINIファイルに保存できるようにしました。マルチユーザ環
　境でない時は、INIファイルの方が簡単にバックアップできるので便利です。
　（オプション-環境設定-その他）
・転送レートの表示が変になるのを修正しました。

■Ver 1.20

・テキストモードでのアップロード時に、EOF(Ctrl-Z)コードを取り除く設定を追加しま
　した。
　（オプション-環境設定-転送１）

■Ver 1.19a

・anonymous-FTPのホストのパスワードが、入力されない状態になってしまうのを修正し
　ました。

■Ver 1.19

・名前を変えてダウンロード、名前を変えてアップロードを追加しました。
　（コマンド）（右ボタンメニュー）
・ファイルの数が２つだけのとき、ソート方法の変更をしても変更されなかったのを修
　正しました。
・ホストがWinNT3.5のFTPサーバの時、ファイルの日付、時間の表示がおかしかったのを
　修正しました。

■Ver 1.18

・ホストからコマンドに対するリプライが無い時のタイムアウト処理を追加しました。
　（うまく動いてるかな…？）
　（オプション-環境設定-転送２）
・ファイル一覧に表示されないファイルがあったのを修正しました。
　（一覧の最初の方が "drwxr--r--123 ..." のように123の前にスペースが無いもの）
・処理内容ウインドウで、ファイルリストと同じフォントを使うように変更しました。
・接続した状態で、システムメニューの「閉じる」で終了した場合に、ブックマークが
　保存されなかったのを修正しました。

■Ver 1.17

・ホストが送ってきたファイル一覧を、そのままビューワで見ることができるようにし
　ました。
　（表示-ファイル一覧をビューワで表示）
・処理内容をビューワで見ることができるようにしました。
　（表示-処理内容をビューワで表示）
・ビギナーを含む複数人で使う環境で、うっかり設定を変えられないように、接続メ
　ニューとホスト設定メニューを分けました。Ver1.16以前と同様に接続メニューでホ
　ストの設定も行いたいときは、オプション-環境設定-その他の「接続ウインドウで
　ホストの設定も行う」をチェックしてください。
・用語を一部変更しました。

■Ver 1.16

・ホスト側の右ボタンメニューに属性変更を追加しました。
・Win95で使用すると、ホスト側のタイムスタンプの表示がおかしくなるのを修正しまし
　た。(WinNTにしかないAPIを使っていました）

■Ver 1.15

・ファイル転送で、転送先に既にファイルがある時の処理方法を変えました。タイムス
　タンプを比較し、新しければ転送するという事も出来るようになりました。
　これに伴い、オプション-環境設定-操作の設定方法を変更しました。
・ファイルのタイムスタンプを日本時間に合わせるために、ホストのタイムゾーンの設
　定を追加しました。
　（ホスト一覧-ホストの設定-拡張）
・全ての設定値を消去する機能を追加しました。
　（ヘルプ-全設定の消去）

■Ver 1.14

・ビューワを３つ登録し、右ボタンメニューで選べるようにしました。
　（オプション-環境設定-ツール）
・パスワードを入力しないでホストを登録したとき、次の起動時にゴミのパスワードに
　なってしまうのを修正しました。
・アスキーモードで転送するファイル名の設定方法を、拡張子だけ指定する方法から、
　ワイルドカードが使える方法に変更しました。"*.txt"とか"Makefile.*"のように指
　定できます。
　（オプション-環境設定-転送１）
・ファイル名を大文字、または小文字に変換して転送する設定を追加しました。
　（オプション-環境設定-転送２）

■Ver 1.13

・"%"を含むファイル名の転送がうまくいかなかったのを修正しました。
・ホストの設定ウインドウの構成を変えました。
・ファイルの属性変更コマンドを自由に設定できるようにしました。これに伴い、
　Ver1.12a での変更を取りやめました。
　（ホスト一覧-ホストの設定-拡張）
・レジストリへ保存する情報をちょっとだけ小さくしました。

■Ver 1.12a

・ファイルの属性変更で"SITE CHMOD"を実行してエラーになったら、"CHMOD"を実行し
　てみるように変更しました。

■Ver 1.12

・転送中のウインドウに最小化ボタンを付けました。

■Ver 1.11

・プログラム終了時に不正な処理となる事があるので、実験として、プログラムの終了
　時のリソースの開放をシステム任せにしてみました。問題がなければこのままにしま
　す。
・EUC、JISコードの半角カナに対応しました。半角カナを全角にするか半角のままにす
　るかを選ぶ事が出来ます。
　（ホスト一覧-ホストの設定-拡張、ツールバー）
・ファイルの選択、検索などで、正規表現を使わない時でも "|" でファイル名を複数
　指定できるようにしました。（例 *.lzh|*.zip）

■Ver 1.10

・接続時、エラー時などにサウンドを鳴らすことを出来るようにしました。
　（オプション-環境設定-サウンド）
・ダウンロード、アップロードがうまくいかなかった時、エラーのウインドウを出すよ
　うに変更しました。（今までは、ログを見て確認する必要がありました）

■Ver 1.09b

・画面のプロパティで3Dオブジェクトの色を変更している時、ツールバーのボタンの色
　が調節されなかったのを修正しました。

■Ver 1.09a

・複数ファイルのアップロード中に「このファイルを中止」ボタンを押すと、以降転送
　したファイルのサイズが0バイトになってしまうのを修正しました。

■Ver 1.09

・クイック接続のホスト名入力ウインドウで、URLを受け付けるようにしました。
・ホストのアドレス、メールアドレスなどの文字数の上限を引き上げました。

■Ver 1.08a

・初期ディレクトリのバッファサイズを大きくしました。

■Ver 1.08

・右ボタンメニューに「開く」を追加しました。
・ダブルクリックで「開く」と「ダウンロード」のどちらかを選べるようにしました。
　（オプション-環境設定-操作）
・リモート側のファイル内容を「開く」あるいはダブルクリックで表示した時のテンポ
　ラリファイルを、終了時に削除するようにしました。
・WS_FTPからホスト一覧をインポートできるようにしました。
　（接続-インポート-WS_FTP)
・ホスト接続時、そのホストに最後に接続したときのフォルダを初期フォルダにする設
　定を追加しました。
　（ホスト一覧-ホストの設定-基本）

■Ver 1.07

・コマンドラインで指定したホストがホスト一覧に登録されているときは、登録されて
　いるFireWallとPASVモードの設定を使うように変更しました。
・ホスト一覧に登録されていないホストに接続するとき、FireWallを使うかどうかの設
　定を追加しました。
　（オプション-環境設定-FireWall）
・ホストのファイル一覧を得るのに "LIST" コマンドを使用するオプションを追加しま
　した。（一部機能に制限があります)
　（ホスト一覧-ホストの設定-拡張）
・タスクウインドウの大きさを変更できるようにしました。

■Ver 1.06

・コマンドラインでホスト／ファイル名を指定して、ダウンロードできるようにしまし
　た。
・プログラム起動時の（ログイン前の）ローカルフォルダの設定を追加しました。
　（オプション-環境設定-転送）
・ダウンロードしたファイルのタイムスタンプを維持する設定を追加しました。
　（オプション-環境設定-転送）
・選択コマンドを追加しました。
　（表示-選択、表示-全選択／解除)
・検索コマンドを追加しました。
　（表示-検索、表示-次を検索)
・"."で始まるファイルを表示するかどうかの設定を追加しました。
　（表示-．で始まるファイルを表示）
・ホストの接続ポートを指定できるようにしました。
　（ホスト一覧-ホストの設定-拡張）
・サンプルホストを入れておきました。（初めて起動したときに有効)
・ファイル転送が終わった時、タスクウインドウ（処理内容を表示するウインドウ）に
　転送レートを表示するようにしました。
・ホスト一覧を編集した時、ブックマークが違うホストの物に入れ替わってしまうのを
　修正しました。
・ダウンロード中にディスクがいっぱいになった時に、エラーを表示するようにしまし
　た。
・拡張子がHTMLのファイルをダブルクリックしたとき、そのファイルがWebブラウザで
　表示されなかったのを修正しました。

■Ver 1.05

・ホスト側のファイル名の漢字コードを選べるようにしました。
・"ftp"で始まるファイル名をマウスのダブルクリックで開こうとすると、Webブラウザ
　が起動してしまうのを修正しました。
・右ボタンメニューを追加しました。

■Ver 1.04a

・最初が . で始まるファイルも表示するために、-a オプションをつけてファイル一覧
　を取得するようにしました。(ホストに送るコマンド：NLST -alL)
・Windows95で、ローカルドライブのルートディレクトリのファイル一覧が表示されな
　かったのを修正しました。
・昨年のファイルを今年のファイルとして表示する場合があるのを修正しました。

■Ver 1.04

・リモートホストの現在のディレクトリを、初期ディレクトリに設定できるようにし
　ました。（ホスト一覧-ホストの設定)
・ホストの設定ウインドウの体裁を変更しました。
・ファイルの日付を日本語で返すホストに対応しました。
・シンボリックリンクを正しく扱うために、-L オプションをつけてファイル一覧を取
　得するようにしました。(ホストに送るコマンド：NLST -lL)

■Ver 1.03a

・ctl3d32.dll を使わないように変更しました。

■Ver 1.03

・ファイル操作を Ctrl+? でも行なえるようにしました。
・BackSpaceキーで、一つ上のディレクトリへ移動するように変更しました。
・Returnキーは、マウスのダブルクリックと同じ動作をするように変更しました。
・ファイル名のTipヘルプ表示で、ごみを表示する事があるのを修正しました。

■Ver 1.02

・エクスプローラなどからのDrag&Dropでも、サブディレクトリを含めたアップロード
　できるようにしました。

■Ver 1.01b

・ログイン後のWelcomeメッセージが長いときに、不正なメモリアクセスになるのを
　修正しました。
・ファイル一覧情報の解析をちょっと修正しました。

■Ver 1.01a

・サブディレクトリを含むダウンロードで、サブディレクトリの更にサブディレクト
　リ以下のファイルがダウンロードできない場合があったのを修正しました。

■Ver 1.01

・詳細表示で、カラムに表示しきれない長いファイル名をTipヘルプで表示するように
　しました。

■Ver 1.00

・FireWallに対応。
・ツールバーに漢字コード変換のボタンを追加しました。
・ファイルのダブルクリックで、関連付けられたプログラムを使わないことがあるの
　を修正しました。

■Ver 0.92

・ファイル一覧をキャッシュするようにしました。（最大20フォルダ）
　（オプション-環境設定-その他）
・PASVモードを追加。
　（ホストの設定）
・ファイルをダブルクリックした時、関連付けられたプログラムがあるときはそれを起
　動するようにしました。

■Ver 0.91

・MicrosoftのFTPサーバに対応。

■Ver 0.90

・ブックマークを追加。
　（ブックマーク）
・漢字コードの変換機能を追加。
　（ホスト一覧-ホスト設定）
・ファイルリストの表示を、一覧表示と詳細表示から選べるようにしました。
　（表示-形式）

■Ver 0.85

・転送中のウインドウを、メインのウインドウの中央に表示するようにしました。
・プログラム終了時に不正な処理となる場合があるのを修正。

■Ver 0.80

・ダウンロードを中断した場合、残りの部分をあとから追加ダウンロードできるよう
　にしました。
・ローカルディスクの空き容量を表示するように変更
・選択されているファイルの数と容量を表示するようにしました。

■Ver 0.70

・ファイル転送の中断がうまくいかないのを修正しました。
・接続途中に、接続を中止することができるようにしました。
　（切断ボタン）
・転送先に同じ名前のファイルがある時に、どうするかを選べるようにしました。
　（オプション-環境設定-操作）
・転送モードの設定を、転送メニューからオプションメニューへ移動しました。
　（オプション-環境設定-転送モード）

■Ver 0.60

・サブディレクトリを含めたアップロード、ダウンロードができるようにしました。
・クイック接続を追加しました。
・転送モードの自動判別を追加しました。
・属性（パーミッション）の変更機能を追加しました。
・ファイルの種類、属性を表示するようにしました。
・他、変更点多数。

